﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftCarrier
{
    /// <summary>
    /// Класс-сущность "Авианосец"
    /// </summary>
    internal class EntityPlaneWarship : EntityWarship
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color DopColor { get; private set; }
        /// <summary>
        /// Признак наличия обвеса
        /// </summary>
        public bool BodyKit { get; private set; }
        /// <summary>
        /// Признак наличия рубки управления
        /// </summary>
        public bool СontrolPlace { get; private set; }
        /// <summary>
        /// Признак наличия взлетной полосы
        /// </summary>
        public bool RunWay { get; private set; }
        /// <summary>
        /// Инициализация свойств
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес корабля</param>
        /// <param name="bodyColor">Цвет</param>
        /// <param name="dopColor">Дополнительный цвет</param>
        /// <param name="bodyKit">Признак наличия обвеса</param>
        /// <param name="controlplace">Признак наличия рубки управления</param>
        /// <param name="runway">Признак наличия взлетной полосы</param>
        public EntityPlaneWarship(int speed, float weight, Color bodyColor, Color dopColor, bool bodyKit, bool controlplace, bool runway) :
        base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            BodyKit = bodyKit;
            СontrolPlace = controlplace;
            RunWay = runway;
        }

    }
}
