namespace AircraftCarrier
{
    public partial class FormShip : Form
    {
        private DrawingWarship _ship;
        public FormShip()
        {
            InitializeComponent();
        }
        /// <summary>
        ///   
        /// </summary>
        private void Draw()
        {
            Bitmap bmp = new(pictureBoxShip.Width, pictureBoxShip.Height);
            Graphics gr = Graphics.FromImage(bmp);
            _ship?.DrawTransport(gr);
            pictureBoxShip.Image = bmp;
        }
        /// <summary>
        ///   
        /// </summary>
        private void Setdata()
        {
            Random rnd = new();
            _ship.SetPosition(rnd.Next(10, 100), rnd.Next(10, 100), pictureBoxShip.Width, pictureBoxShip.Height);
            toolStripStatusLabelSpeed.Text = $": {_ship.Ship.Speed}";
            toolStripStatusLabelWeight.Text = $": {_ship.Ship.Weight}";
            toolStripStatusLabelColor.Text = $": {_ship.Ship.BodyColor.Name}";
        }
        /// <summary>
        ///    ""
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ButtonCreate_Click(object sender, EventArgs e)
        {
            Random rnd = new();
            _ship = new DrawingWarship(rnd.Next(1000, 3000), rnd.Next(10000, 20000),
           Color.FromArgb(rnd.Next(0, 256), rnd.Next(0, 256), rnd.Next(0, 256)));
            Setdata();
            Draw();
        }
        private void ButtonMove_Click(object sender, EventArgs e)
        {
            //  
            string name = ((Button)sender)?.Name ?? string.Empty;
            switch (name)
            {
                case "buttonUp":
                    _ship?.MoveTransport(Direction.Up);
                    break;
                case "buttonDown":
                    _ship?.MoveTransport(Direction.Down);
                    break;
                case "buttonLeft":
                    _ship?.MoveTransport(Direction.Left);
                    break;
                case "buttonRight":
                    _ship?.MoveTransport(Direction.Right);
                    break;
            }
            Draw();
        }

        private void PictureBoxShip_Resize(object sender, EventArgs e)
        {
            _ship?.ChangeBorders(pictureBoxShip.Width, pictureBoxShip.Height);
            Draw();
        }
        /// <summary>
        ///    ""
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ButtonCreateModif_Click(object sender, EventArgs e)
        {
            Random rnd = new();
            _ship = new DrawingPlaneWarship(rnd.Next(1000, 3000), rnd.Next(10000, 20000),
                Color.FromArgb(rnd.Next(0, 256), rnd.Next(0, 256), rnd.Next(0, 256)),
                Color.FromArgb(rnd.Next(0, 256), rnd.Next(0, 256), rnd.Next(0,256)),
                Convert.ToBoolean(rnd.Next(0, 2)), Convert.ToBoolean(rnd.Next(0,2)), Convert.ToBoolean(rnd.Next(0, 2)));           
            Setdata();
            Draw();
        }
    }
}


    

